(function ($) {
    "use strict";
    $(window).on('elementor/frontend/init', () => {
        const addHandler = ($element) => {
            function position() {
                let $wrap = $element.find('.d-grid');
                if($wrap.length){
                    let wrap_width = $wrap.outerWidth();
                    let wrap_height = $wrap.outerHeight();
                    let wrap_top = $wrap.offset().top;
                    let wrap_left = $wrap.offset().left;
                    $( ".box-banner-item", $wrap ).each(function( index, element ) {
                        item_position(element, wrap_width, wrap_height,wrap_left, wrap_top);
                    });
                }

            }
            position();
            $(window).resize(function () {
                position();
            });
        };
        elementorFrontend.hooks.addAction('frontend/element_ready/rebuilto-box-banner.default', addHandler);

        function item_position(element,width, height, left, top) {
            let $item = $(element).find('.box-banner-content-image');
            if($item.length){
                let item_top = $item.offset().top - top;
                let item_left = $item.offset().left - left;
                $item.css({
                    width: width,
                    height: height,
                    'margin-top': -item_top,
                    'margin-left': -item_left
                })
            }
        }
    });
})(jQuery);