<?php
/**
 * =================================================
 * Hook rebuilto_page
 * =================================================
 */
add_action('rebuilto_page', 'rebuilto_page_header', 10);
add_action('rebuilto_page', 'rebuilto_page_content', 20);

/**
 * =================================================
 * Hook rebuilto_single_post_top
 * =================================================
 */
add_action('rebuilto_single_post_top', 'rebuilto_post_header', 5);
add_action('rebuilto_single_post_top', 'rebuilto_post_thumbnail', 10);

/**
 * =================================================
 * Hook rebuilto_single_post
 * =================================================
 */
add_action('rebuilto_single_post', 'rebuilto_post_content', 30);

/**
 * =================================================
 * Hook rebuilto_single_post_bottom
 * =================================================
 */
add_action('rebuilto_single_post_bottom', 'rebuilto_post_taxonomy', 5);
add_action('rebuilto_single_post_bottom', 'rebuilto_single_author', 10);
add_action('rebuilto_single_post_bottom', 'rebuilto_post_nav', 15);
add_action('rebuilto_single_post_bottom', 'rebuilto_display_comments', 20);

/**
 * =================================================
 * Hook rebuilto_loop_post
 * =================================================
 */
add_action('rebuilto_loop_post', 'rebuilto_post_header', 15);
add_action('rebuilto_loop_post', 'rebuilto_post_content', 30);

/**
 * =================================================
 * Hook rebuilto_footer
 * =================================================
 */
add_action('rebuilto_footer', 'rebuilto_footer_default', 20);

/**
 * =================================================
 * Hook rebuilto_after_footer
 * =================================================
 */

/**
 * =================================================
 * Hook wp_footer
 * =================================================
 */
add_action('wp_footer', 'rebuilto_template_account_dropdown', 1);
add_action('wp_footer', 'rebuilto_mobile_nav', 1);
add_action('wp_footer', 'rebuilto_render_html_back_to_top', 10);

/**
 * =================================================
 * Hook wp_head
 * =================================================
 */
add_action('wp_head', 'rebuilto_pingback_header', 1);

/**
 * =================================================
 * Hook rebuilto_before_header
 * =================================================
 */

/**
 * =================================================
 * Hook rebuilto_before_content
 * =================================================
 */

/**
 * =================================================
 * Hook rebuilto_content_top
 * =================================================
 */

/**
 * =================================================
 * Hook rebuilto_post_content_before
 * =================================================
 */

/**
 * =================================================
 * Hook rebuilto_post_content_after
 * =================================================
 */

/**
 * =================================================
 * Hook rebuilto_sidebar
 * =================================================
 */
add_action('rebuilto_sidebar', 'rebuilto_get_sidebar', 10);

/**
 * =================================================
 * Hook rebuilto_loop_after
 * =================================================
 */
add_action('rebuilto_loop_after', 'rebuilto_paging_nav', 10);

/**
 * =================================================
 * Hook rebuilto_page_after
 * =================================================
 */
add_action('rebuilto_page_after', 'rebuilto_display_comments', 10);
