<div class="project-item project-style-5">
    <div class="project-inner">
        <div class="project-post-thumbnail-wrap">
            <div class="project-post-thumbnail">
                <?php if (has_post_thumbnail()) : ?>
                    <?php the_post_thumbnail('large'); ?>
                <?php endif; ?>
            </div><!-- .post-thumbnail -->
        </div>
        <div class="project-content">
            <h4 class="project-title delta"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
            <?php echo get_the_term_list(get_the_ID(), 'rebuilto_project_cat', '<div class="project-categories">', ' ', '</div>'); ?>
            <div class="project-meta">
                <?php
                $entries = get_post_meta(get_the_ID(), 'project_meta_repeat', true);
                if (is_array($entries)) {
                    foreach ((array)$entries as $key => $entry) {
                        if (isset($entry['show_archive']) && $entry['show_archive'] == 'on') {
                            echo '<div class="meta-item">';
                            if (isset($entry['title'])) {
                                echo '<span class="title">' . esc_html($entry['title']) . '</span>';
                            }
                            if (isset($entry['description'])) {
                                echo '<span class="value">' . esc_html($entry['description']) . '</span>';
                            }
                            echo '</div>';
                        }
                    }
                }
                ?>
            </div>
            <div class="project-more-link-wrap">
                <a class="project-more-link" href="<?php the_permalink() ?>"><i class="rebuilto-icon-arrow-up-right"></i><span><?php echo esc_html__('View Project', 'rebuilto'); ?></span></a>
            </div>
        </div>
    </div>
</div>
