<div class="service-item service-style-5">
    <div class="service-inner">
        <div class="service-post-thumbnail">
            <?php if (has_post_thumbnail()) : ?>
                <?php the_post_thumbnail('medium_large'); ?>
            <?php endif; ?>
        </div>
        <div class="service-content">
            <?php
            $icon_url = get_post_meta(get_the_ID(), 'service_icon_class', true);
            if ($icon_url && !empty($icon_url)) {
                echo '<div class="service-icon-wrap"><img class="service-icon" src="' . esc_url($icon_url) . '" alt="service icon"></div>';
            }
            ?>
            <h3 class="service-title omega"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
            <div class="description">
                <?php echo get_the_excerpt(); ?>
            </div>
            <div class="service-more-link-wrap style-link">
                <a class="service-more-link" href="<?php the_permalink() ?>"><i class="rebuilto-icon-arrow-up-right"></i><span><?php echo esc_html__('Learn More', 'rebuilto'); ?></span></a>
            </div>
        </div>
    </div>
</div>
