<?php
get_header(); ?>

    <div id="primary" class="content">
        <main id="main" class="site-main">
            <div class="error-404 not-found">
                <div class="page-content">
                    <header class="page-header">
                        <div class="error-heading"><?php esc_html_e('404', 'rebuilto'); ?></div>
                        <h2 class="error-title"><?php esc_html_e('Page Not Found', 'rebuilto'); ?></h2>
                        <div class="error-text"><?php esc_html_e('Sorry but the page you are looking for doesn’t exist.', 'rebuilto'); ?></div>
                        <div class="error-button elementor-button-type-outline elementor-widget-rebuilto-button">
                            <a href="javascript: history.go(-1)" class="elementor-button go-back" role="button">
                                <span class="elementor-button-text" data-name="Back To Home">
                                    <span><?php esc_html_e('Back To Home', 'rebuilto'); ?></span>
                                </span>
                                <span class="elementor-button-icon elementor-align-icon-right">
                                    <i aria-hidden="true" class="rebuilto-icon- rebuilto-icon-arrow-up-right"></i>
                                </span>
                            </a>
                        </div>
                    </header><!-- .page-header -->
                </div><!-- .page-content -->
            </div><!-- .error-404 -->
        </main><!-- #main -->
    </div><!-- #primary -->
<?php
get_footer();
