(function ($) {
    "use strict";
    $(window).on('elementor/frontend/init', () => {
        elementorFrontend.hooks.addAction('frontend/element_ready/rebuilto-awards-box.default', ($scope) => {
            var $sliderEffect = $scope.find('.swiper-awards-effect'),
                $awardsEffect = $scope.find('.awards-effect'),
                $awardsItem = $scope.find('.elementor-awardsbox-item');
            var asyncSwiper = elementorFrontend.utils.swiper;
            if($sliderEffect.length){
                new asyncSwiper($sliderEffect, {
                    spaceBetween: 0,
                    direction:'vertical',
                    effect: 'cube',
                }).then((newSwiperInstance) => {
                    $awardsItem.on('mouseenter', function (e) {
                        e.preventDefault();
                        var $that = $(this);
                        var goto = $that.data('goto');
                        newSwiperInstance.slideTo(goto);
                        let bottom = $that.position().top + ($that.outerHeight(true) / 2);
                        $awardsEffect.css({
                            top: bottom
                        })
                    });
                });
            }

        });
    });
})(jQuery);